# eric6.Plugins.VcsPlugins.vcsMercurial.HgCommandDialog

Module implementing the Mercurial command dialog.

### Global Attributes

None

### Classes

HgCommandDialog | Class implementing the Mercurial command dialog.

### Functions

None

## HgCommandDialog

Class implementing the Mercurial command dialog.

It implements a dialog that is used to enter an arbitrary Mercurial command. It asks the user to enter the commandline parameters.

### Derived from

QDialog, Ui_HgCommandDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgCommandDialog | Constructor
getData | Public method to retrieve the data entered into this dialog.
on_commandCombo_editTextChanged | Private method used to enable/disable the OK-button.

### Static Methods

None

#### HgCommandDialog (Constructor)

HgCommandDialog(argvList, ppath, parent=None)

Constructor

argvList
  history list of commandline arguments (list of strings)
ppath
  pathname of the project directory (string)
parent
  parent widget of this dialog (QWidget)

#### HgCommandDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  commandline parameters (string)

#### HgCommandDialog.on_commandCombo_editTextChanged

on_commandCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  ignored

Up